#import <Foundation/Foundation.h>
#import <ZPNs/ZPNs.h>
#import "ZPNsUtils.h"

#define ZPNS_NOTIFICATION_ARRIVED_EVENT @"ZPNS_NOTIFICATION_ARRIVED_EVENT"
#define ZPNS_NOTIFICATION_CLICKED_EVENT @"ZPNS_NOTIFICATION_CLICKED_EVENT"
#define ZPNS_THROUGH_MESSAGE_RECEIVED_EVENT @"ZPNS_THROUGH_MESSAGE_RECEIVED_EVENT"
#define ZPNS_REGISTERED_SUCCESS_EVENT @"ZPNS_REGISTERED_SUCCESS_EVENT"
#define ZPNS_REGISTERED_FAILED_EVENT @"ZPNS_REGISTERED_FAILED_EVENT"

@interface RCTZPNsEventManager : NSObject

@property (nonatomic, assign) BOOL isWillPresentBadge;

@property (nonatomic, assign) BOOL isWillPresentSound;

@property (nonatomic, assign) BOOL isWillPresentAlert;

+ (instancetype)sharedInstance;

#pragma mark For AppDelegate

- (void)listenAppDidFinishLaunchingNotification;

- (void)registerZPNsEventDelegate;

- (void)registerDeviceToken:(NSData *)deviceToken;

- (void)handleNotificationClickEvent:(NSDictionary *)userInfo title:(NSString *)title content:(NSString *)content;

- (void)handleNotificationArriveEvent:(NSDictionary *)userInfo title:(NSString *)title content:(NSString *)content;

- (void)handleThroughMessageReceivedEvent:(NSDictionary *)userInfo fetchCompletionHandler:(void (^)(UIBackgroundFetchResult))completionHandler;

- (void)handleZPNsRegisterSuccessEvent:(NSString *)pushID;

- (void)handleZPNsRegisterFailEvent:(NSError *)error;

#pragma mark For Module Inner

- (void)enableDebug:(BOOL)isDebug;

- (NSDictionary *)getNotificationMapFromClickedNotification;

- (void)clearBuffer;

- (void)throughMessageReceivedCompletion:(NSString *)seq;

@end

