export declare enum ZPNsPushSourceType {
    APNs = 1,
    FCM = 2,
    HuaWei = 3,
    XiaoMi = 4,
    Oppo = 5,
    Vivo = 6
}
export declare enum ZPNsIOSEnvironment {
    Production = 0,
    Development = 1,
    Automatic = 2
}
export interface ZPNsConfig {
    /**
     * For two sets of certificates, please fill in the corresponding serial number 1 or 2.
     */
    appType?: number;
    /**
     * The following fields are only required for the Android platform.
     */
    enableHWPush?: boolean;
    enableMiPush?: boolean;
    enableVivoPush?: boolean;
    enableOppoPush?: boolean;
    enableFCMPush?: boolean;
    enableHwBadge?: boolean;
    miAppID?: string;
    miAppKey?: string;
    oppoAppID?: string;
    oppoAppSecret?: string;
    oppoAppKey?: string;
    vivoAppID?: string;
    vivoAppKey?: string;
    hwAppID?: string;
}
export interface ZPNsMessage {
    title: string;
    content: string;
    extras: Record<string, any>;
    payload: string;
    pushSourceType: ZPNsPushSourceType;
}
export interface ZPNsRegisterMessage {
    pushID: string;
    errorCode: number;
    msg: string;
}
export interface ZPNsNotificationChannel {
    channelID: string;
    channelName: string;
    androidSound: string;
}
export interface ZPNsLocalMessage {
    title: string;
    content: string;
    payload: string;
    channelID: string;
    iOSSound: string;
    androidSound: string;
}
export interface ZPNsIOSNotificationArrivedConfig {
    isPresentBadge: boolean;
    isPresentSound: boolean;
    isPresentAlert: boolean;
}
